Veeam Home | Support | Downloads
Veeam Endpoint Backup 1.0 for LabTech

Veeam Help Center  > User Guide >  Prerequisites > System Requirements

System Requirements

Previous page Next page Print this Topic

Table of contents

To install and use Veeam Endpoint Backup for LabTech, make sure that your LabTech RMM environment meets the necessary system requirements.

LabTech Server

A computer where you want to install Veeam Endpoint Backup for LabTech must meet the following requirements:

Specification

Requirement

LabTech RMM

LabTech 11

LabTech 10.5

OS

Only 64-bit versions of the following operating systems are supported:

Microsoft Windows Server 2012 R2

Microsoft Windows Server 2012

Microsoft Windows Server 2008 R2 SP1

Microsoft Windows Server 2008 SP2

Software

LabTech Server (for software and hardware requirements, refer to LabTech Installation Prerequisites).

Microsoft .NET Framework 4 or later

Microsoft PowerShell 2.0 or later

Managed Computers

Every managed computer must meet the following requirements:

Specification

Requirement

OS

All Windows OSes supported by Veeam Endpoint Backup. For details, see Veeam Endpoint Backup System Requirements.

Software

Microsoft .NET Framework 4.5.2 or later.

Labtech Agent
For software and hardware requirements to computers running LabTech agents, refer to LabTech Agent Deployment Requirements.

Network

Internet connection is required to download Veeam Endpoint Backup installation files and updates from Veeam Software.

Veeam Endpoint Backup

Veeam Endpoint Backup version 1.1.1 or later is supported.

Backup Manager Plug-in

Veeam Endpoint Backup for LabTech integrates with LabTech Backup Manager to help you quickly identify issues with backup jobs.

For details on Backup Manager installation and configuration, refer to LabTech Backup Manager documentation.

Table of contents